%define		major		1
%define		libname		%mklibname pugixml %{major}
%define		develname	%mklibname pugixml -d

Name:		pugixml
Version:	1.7
Release:	%mkrel 1
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
License:	MIT
URL:		http://pugixml.org
Source0:	http://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{libname}
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries

%description -n %{libname}
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{develname}
Summary:	Development files for %{name} library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for package %{name} library.

%prep
%setup -q -n %{name}-%{version}/scripts

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%cmake
%make

%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/%{name}/contrib
mkdir -p %{buildroot}%{_libdir}

cd ..
install -p -m 0644 contrib/* %{buildroot}%{_datadir}/%{name}/contrib/
install -p -m 0644 src/*.hpp %{buildroot}%{_includedir}/
cd -
cp -a build/*.so* %{buildroot}%{_libdir}/

%files -n %{libname}
%doc ../readme.txt
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc ../docs/*
%{_libdir}/*.so
%{_datadir}/%{name}
%{_includedir}/*.hpp


%changelog
* Thu Mar 17 2016 daviddavid <daviddavid> 1.7-1.mga5
+ Revision: 992478
- new version: 1.7 (filezilla needs pugixml >= 1.6)
- enable long long support with "-std=gnu++11"

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 746412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 687833
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 1.4-3.mga5
+ Revision: 673646
- Use cp -a to preserve symlinks

* Mon Sep 08 2014 akien <akien> 1.4-2.mga5
+ Revision: 673593
- Fix libpugixml.so.1 not being a symlink

* Thu Aug 07 2014 fwang <fwang> 1.4-1.mga5
+ Revision: 660830
- update build script
- 1.4

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 517716
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 378306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 25 2012 fwang <fwang> 1.2-1.mga3
+ Revision: 236015
- imported package pugixml

